/* Following BEM naming convention https://getbem.com/naming/ */

html{
    background-color: var(--color-bg-base);
    color: var(--color-text-primary);
    margin: 0 auto;
    font-family: var(--font-primary);
    width: 100%;
}

body{
    margin: 0;
    padding: 0;
    min-height: 100vh;
    display: grid;
    grid-template-rows: auto 1fr auto;
}

main{
    max-width: 1200px;
    padding: 1rem;
}

h1{
    font-family: var(--font-secondary);
    font-size: 36px;
    color: var(--color-accent);
    text-align: center;
}

h2{
    font-family: var(--font-primary);
    font-size: 28px;
    color: var(--color-primary);
    text-align: center;
}

h3{
    font-family: var(--font-secondary);
    font-size: 24px;
    color: var(--color-accent);
    text-align: center;
}

a {
    color: var(--color-text-primary);
    text-decoration: none;
}

a:hover{
    text-decoration: underline;
}

p {
    color: var(--color-text-primary);
}

.impressum{
    display: flex;
    width: 100%;
    flex-direction: column;
}

.impressum__text{
    text-align: center;
}

footer {
    background-color: var(--color-bg-surface-active);
    width: 100%;
    text-align: center;
    left: 0;
    bottom: 0;
    color: white;
    padding: 2rem 1rem;
    box-sizing: border-box; 
}

@media only screen and (min-width: 700px){
    main{
    margin: 0 auto;
}
}

/* NAVIGATION */

.nav{
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    align-items: center;
    padding: 0.3rem 0.5rem;
    max-width: 1200px;
    margin: 0 auto;
}

.nav__logo {
    height: 60px;
    grid-column: 2;
}

.nav__list {
    grid-column: 3;
    list-style-type: none;
    justify-self: end;
    margin: 0;
    padding: 0;
}

/** BUTTON **/

button {
    background-color: transparent;
    border-style: none;
    cursor: pointer;
}

.button{
    padding: 0.7rem 1rem;
    width: fit-content;
    margin: 0 auto;
    border-radius: 10px;
    border: none;
    cursor: pointer;
    text-align: center;
}

.button i{
    color: var(--color-text-light-primary);
}

.button-primary{
    background-color: var(--color-primary);
    color: var(--color-text-light-primary);
}

.button-secondary{
    background-color: var(--color-accent);
    color: var(--color-text-light-primary);
}

.button-primary:hover{
    background-color: var(--color-primary-hover);
}

.button-secondary:hover{
    background-color: var(--color-accent-hover);
}

.button-disabled {
    background-color: var(--color-text-disabled);
    color: var(--color-text-light-disabled);
}

.button-disabled:hover{
    text-decoration: none;
    cursor: default;
}

/* ERROR */

.error{
    text-align: center;
}

.error__message{
    color: var(--color-error);
}

/* INPUT */

.input{
    border: 1px solid var(--color-text-secondary);
    border-radius: var(--radius-button);
    padding: 0.5rem 0.3rem;
    background-color: var(--color-bg-base);
    color: var(--color-text-primary);
}

.input-game {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
}

.input-game__field {
    flex: 1;
    margin-right: 0.5rem;
}

.input-game__button {
    flex-shrink: 0;
}


/* HERO */

.hero {
    display: flex;
    width: 100%;
    flex-direction: column;
    text-align: center;
}

.hero__image {
    margin: 0 auto;
    width: 100%;
    max-width: 400px;
}



/* LOGIN */

.login{
    border: 1px solid var(--color-text-secondary);
    padding: 1rem;
    border-radius: 10px;
}

.login__text, .login__link{
    text-align: center;
}

.login__link {
    text-decoration: underline;
}

.login__link:hover{
    color: var(--color-primary-hover);
}

.login, .form{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}


@media only screen and (min-width: 700px){
    .login, .form{
        width: 400px;
        margin: 0 auto;
    }
}



/* Speech Bubble */

.bubble__left, .bubble__right {
    position: relative;
    background-color: var(--color-bubble-bg);
    border-radius: var(--radius-bubble);
    border: 2px solid var(--color-bubble-player1);
    margin: 2rem auto;
    width: 400px;
    max-width: 400px;
    padding: 0.5rem 1rem;
}


.bubble__left::after, .bubble__right::after {
	content: '';
	position: absolute;
	bottom: -15px;
    border-width: 15px 15px 0;
    border-style: solid;
	border-color: var(--color-bubble-player1) transparent transparent transparent;
	width: 0;
    height: 0;
    display: block;
}

.bubble__left::before, .bubble__right::before {
    content: '';
    position: absolute;
    bottom: -12px; /* slightly higher than ::after */
    border-width: 13px 13px 0; /* slightly smaller */
    border-style: solid;
    border-color: var(--color-bubble-bg) transparent transparent transparent;
    width: 0;
    height: 0;
    z-index: 1;
}

/* left */

.bubble__left::after{
    left: 50px;
}
.bubble__left::before{
    left: 51.5px;
}

/* right */
.bubble__right::after{
    left: 350px;
}
.bubble__right::before{
    left: 351.5px;
}

/* bubble content*/

.bubble__name, .bubble__answer, .bubble__role {
    color: var(--color-text-light-primary);
    text-align: left;
    font-size: 1.3rem;
} 

.bubble__name{
    font-family: var(--font-secondary);
}

.bubble__answer{
    font-weight: var(--font-semibold) ;
}

.bubble__emoji{
    text-align: left;
    font-size: 1.8rem;
}
.bubble__role{
    font-family: var(--font-primary);
}